singularity(1)

NAME

singularity-oci-run - Create/start/attach/delete a container from a bundle directory (root user only)

SYNOPSIS

singularity oci run -b [run options...]

DESCRIPTION

Run will invoke equivalent of create/start/attach/delete commands in a row.

OPTIONS

-b, --bundle=""
    specify the OCI bundle path (required)

-h, --help[=false]
    help for run

--log-format="kubernetes"
    specify the log file format. Available formats are basic, kubernetes and json

-l, --log-path=""
    specify the log file path

--pid-file=""
    specify the pid file

EXAMPLE

      $ singularity oci run -b ~/bundle mycontainer

      is equivalent to :

      $ singularity oci create -b ~/bundle mycontainer
      $ singularity oci start mycontainer
      $ singularity oci attach mycontainer
      $ singularity oci delete mycontainer

SEE ALSO

singularity-oci(1)

HISTORY

27-Feb-2025 Auto generated by spf13/cobra